# Copyright 2020 L'Heureux Cyclage
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl).

from openerp.osv import osv
from openerp.osv import orm
from openerp.osv import fields


class pos_receipt(orm.Model):
    _inherit = 'pos.receipt'

    def print_report(self, cr, uid, ids, context=None):
        """Check if partner mobile number is defined before print receipt."""
        order_id = context['active_id']
        order_obj = self.pool.get('pos.order')
        order = order_obj.browse(cr, uid, order_id, context=context)
        partner_id = order.partner_id.id
        if context is None:
            context = {}
        datas = {'ids': context.get('active_ids', [])}
        report_name = 'bikecoop_l10n_fr.receipt'
        if order.is_cpv:
            order_obj.check_partner_mobile(cr, uid, partner_id, context=None)
            report_name = 'coup_de_pouce_velo.receipt'
        return {
            'type': 'ir.actions.report.xml',
            'report_name': report_name,
            'datas': datas,
        }
